diff --git a/doc/src/sgml/indices.sgml b/doc/src/sgml/indices.sgml
index 6d731e0701..de63d23d7b 100644
--- a/doc/src/sgml/indices.sgml
+++ b/doc/src/sgml/indices.sgml
@@ -682,6 +682,15 @@ CREATE INDEX test3_desc_index ON test3 (id DESC NULLS LAST);
    best match the common types.
   </para>
 
+  <para>
+    Note that if there are multiple indexes for a given column, they would
+    never be combined. For example, if you have multicolumn indexes
+    on <literal>(x, z)</literal> and <literal>(y, z)</literal>, they would
+    never be combined for queries involving <literal>z</literal>. However, if
+    your query only involves <literal>x</literal> and <literal>y</literal>,
+    then planner can potentially choose to combine those indexes.
+  </para>
+
  </sect1>
 
 
